package forumBeans;

import forumBeans.User;

import javax.ejb.EJBObject;
import java.rmi.RemoteException;

public interface ForumMessage extends EJBObject {

    // Getter remote methods
    public Long getId() throws RemoteException;
    public User getUser() throws RemoteException;
    public String getSubject() throws RemoteException;
    public String getBody() throws RemoteException;

    // Setter remote methods
    public void setUser(User aUser) throws RemoteException;
    public void setSubject(String aPassword) throws RemoteException;
    public void setBody(String aFullName) throws RemoteException;

}
