package forumBeans;

import forumBeans.User;

import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.rmi.RemoteException;
import java.util.Collection;

public interface ForumMessageHome extends EJBHome {

    ForumMessage findByPrimaryKey(Long key)
            throws FinderException, RemoteException;

    public ForumMessage create(User aUser, String aSubject, String aBody)
        throws CreateException, RemoteException;

    public Collection findAll()
        throws FinderException, RemoteException;

}
