package forumBeans;

import javax.ejb.EJBHome;
import javax.ejb.FinderException;
import javax.ejb.CreateException;
import java.rmi.RemoteException;
import java.util.Collection;

public interface UserHome extends EJBHome {

    public User create(String aLogin, String aPassword, String aFullName)
        throws CreateException, RemoteException;

    public User findByPrimaryKey(Long aId)
        throws FinderException, RemoteException;

    public User findByLogin(String aLogin)
        throws FinderException, RemoteException;

    public Collection findAll()
        throws FinderException, RemoteException;

}
