package servlet;

import presentationLogic.CommonUtils;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.ServletException;
import java.io.IOException;

import forumBeans.ForumMessageHome;
import forumBeans.ForumMessage;

public class DeleteServlet extends HttpServlet {

    public void doGet(HttpServletRequest aRequest, HttpServletResponse aResponse)
            throws ServletException, IOException {

        String userLoggedIn = (String) aRequest.getSession().getAttribute("login");
        if (userLoggedIn == null) {
            aResponse.sendRedirect("login.jsp");
            return;
        }

        String messageId = aRequest.getParameter("id");
        try {
            ForumMessageHome forumMessageHome = CommonUtils.getForumMessageHome();
            ForumMessage msg = forumMessageHome.findByPrimaryKey(new Long(messageId));
            msg.remove();
            aResponse.sendRedirect("showMessages.jsp");
        } catch (Exception ex) {
            throw new ServletException("Can not delete message " + messageId);
        }
    }

}
